<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SafeTransferRequest extends FormRequest
{
  
    public function authorize()
    {
        return true;
    }


    public function rules()
    {
        return [
                 'Code'=>'required',
             'Date'=>'required',
             'Draw'=>'required',
             'Amount'=>'required',
             'From_Safe'=>'required',
             'To_Safe'=>'required',
             'Coin'=>'required',

        ];
    }
    
    
    public function messages()
{
    return [
          'Code.required' => trans('admin.CodeRequired'),
            'Date.required' => trans('admin.DateRequired'),
            'Draw.required' => trans('admin.DrawRequired'),
            'Amount.required' => trans('admin.AmountRequired'),
            'From_Safe.required' => trans('admin.From_SafeRequired'),
            'To_Safe.required' => trans('admin.To_SafeRequired'),
            'Coin.required' => trans('admin.CoinRequired'), 
    ];
}
    
    
}
